package com.phm.manage.service.impl;

import com.phm.manage.domain.Maintenance;
import com.phm.manage.mapper.MaintenanceMapper;
import com.phm.manage.service.IMaintenanceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 维护信息Service业务层处理
 *
 * @author phm
 * @date 2023-08-22
 */
@Service
public class MaintenanceServiceImpl implements IMaintenanceService {
    @Autowired
    private MaintenanceMapper maintenanceMapper;

    /**
     * 查询维护信息
     *
     * @param id 维护信息主键
     * @return 维护信息
     */
    @Override
    public Maintenance selectMaintenanceById(Long id) {
        return maintenanceMapper.selectMaintenanceById(id);
    }

    /**
     * 查询维护信息列表
     *
     * @param maintenance 维护信息
     * @return 维护信息
     */
    @Override
    public List<Maintenance> selectMaintenanceList(Maintenance maintenance) {
        return maintenanceMapper.selectMaintenanceList(maintenance);
    }

    /**
     * 新增维护信息
     *
     * @param maintenance 维护信息
     * @return 结果
     */
    @Override
    public int insertMaintenance(Maintenance maintenance) {
        return maintenanceMapper.insertMaintenance(maintenance);
    }

    /**
     * 修改维护信息
     *
     * @param maintenance 维护信息
     * @return 结果
     */
    @Override
    public int updateMaintenance(Maintenance maintenance) {
        return maintenanceMapper.updateMaintenance(maintenance);
    }

    /**
     * 批量删除维护信息
     *
     * @param ids 需要删除的维护信息主键
     * @return 结果
     */
    @Override
    public int deleteMaintenanceByIds(Long[] ids) {
        return maintenanceMapper.deleteMaintenanceByIds(ids);
    }

    /**
     * 删除维护信息信息
     *
     * @param id 维护信息主键
     * @return 结果
     */
    @Override
    public int deleteMaintenanceById(Long id) {
        return maintenanceMapper.deleteMaintenanceById(id);
    }
}
